# OpenLayers.Util.vendorPrefix

A collection of utility functions to detect vendor prefixed features

Summary

OpenLayers.Util.vendorPrefix | A collection of utility functions to detect vendor prefixed features
Functions |
domToCss | Converts a upper camel case DOM style property name to a CSS property i.e.
css | Detect which property is used for a CSS property
js | Detect which property is used for a JS property/method
style | Detect which property is used for a DOM style property

### Functions

### domToCss

> function domToCss( | prefixedDom | )

Converts a upper camel case DOM style property name to a CSS property i.e. transformOrigin -> transform-origin or WebkitTransformOrigin -> -webkit-transform-origin

#### Parameters

prefixedDom | {String} The property to convert

#### Returns

{String} The CSS property

### css

> function css( | property | )

Detect which property is used for a CSS property

#### Parameters

property | {String} The standard (unprefixed) CSS property name

#### Returns

{String} The standard CSS property, prefixed property or null if not supported

### js

> function js( | obj,
> | property | )

Detect which property is used for a JS property/method

#### Parameters

obj | {Object} The object to test on
property | {String} The standard (unprefixed) JS property name

#### Returns

{String} The standard JS property, prefixed property or null if not supported

### style

> function style( | property | )

Detect which property is used for a DOM style property

#### Parameters

property | {String} The standard (unprefixed) style property name

#### Returns

{String} The standard style property, prefixed property or null if not supported

> function domToCss( | prefixedDom | )

Converts a upper camel case DOM style property name to a CSS property i.e.

> function css( | property | )

Detect which property is used for a CSS property

> function js( | obj,
> | property | )

Detect which property is used for a JS property/method

> function style( | property | )

Detect which property is used for a DOM style property
Close